Skip to content
Start here

Update indicator feed data

client.intel.indicatorFeeds.snapshots.update(numberfeedId, SnapshotUpdateParams { account_id, source } params, RequestOptionsoptions?): SnapshotUpdateResponse { file_id, filename, status }
PUT/accounts/{account_id}/intel/indicator-feeds/{feed_id}/snapshot

Revises the raw data entries in a custom threat indicator feed.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
feedId: number

Indicator feed ID

params: SnapshotUpdateParams { account_id, source }
account_id: string

Path param: Identifier

maxLength32
source?: string

Body param: The file to upload

ReturnsExpand Collapse
SnapshotUpdateResponse { file_id, filename, status }
file_id?: number

Feed id

filename?: string

Name of the file unified in our system

status?: string

Current status of upload, should be unified

Update indicator feed data

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const snapshot = await client.intel.indicatorFeeds.snapshots.update(12, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(snapshot.file_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "file_id": 1,
    "filename": "snapshot_file.unified",
    "status": "unified"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "file_id": 1,
    "filename": "snapshot_file.unified",
    "status": "unified"
  }
}